package client

import (
	crc "git.loafle.net/commons_go/rpc/client"
	crcrwf "git.loafle.net/commons_go/rpc/client/rwc/websocket/fasthttp"
	cwfc "git.loafle.net/commons_go/websocket_fasthttp/client"
)

func New(clientHandler ClientHandler, socketBuilder cwfc.SocketBuilder) Client {
	cRWCHandler := crcrwf.New(socketBuilder)

	c := &client{}
	c.Client = crc.New(clientHandler, cRWCHandler)

	return c
}

type Client interface {
	crc.Client
}

type client struct {
	crc.Client
}
