package rpc

import (
	cwf "git.loafle.net/commons_go/websocket_fasthttp"
	"git.loafle.net/overflow/overflow_gateway_websocket/servlet"
)

type ServletContext interface {
	servlet.ServletContext
}

func newServletContext(socketCTX cwf.SocketContext) ServletContext {
	sCTX := &servletContext{}
	sCTX.ServletContext = servlet.NewServletContext(socketCTX)

	return sCTX
}

type servletContext struct {
	servlet.ServletContext
}
